Initiate subscription payment
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/subscription/{subscriptionId}/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_type": "CARD",
"payment_method_provider": "<string>"
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/subscription/{subscriptionId}/payment"
payload = {
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_type": "CARD",
"payment_method_provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_method_type: 'CARD',
payment_method_provider: '<string>'
})
};
fetch('https://payments.oaknetwork.org/api/v1/subscription/{subscriptionId}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"data": {
"id": "<string>",
"status": "<string>",
"sub_status": "<string>"
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Unauthorized",
"data": null
}{
"msg": "Forbidden",
"data": null
}{
"msg": "Resource not found",
"data": null
}Subscriptions
Initiate subscription payment
Manually initiate a payment for a subscription.
Authentication. Merchant bearerAuth only.
POST
/
api
/
v1
/
subscription
/
{subscriptionId}
/
payment
Initiate subscription payment
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Path Parameters
Subscription hash ID.
Body
application/json
⌘I